## qt4-perl 4.5~~svn1145508

=== CMakeLists.txt ===
project(Perl)

find_package(Perl)
find_package(PerlLibs)

if (NOT PERL_FOUND OR NOT PERL_LIBRARY)
    return()
endif (NOT PERL_FOUND OR NOT PERL_LIBRARY)

add_definitions(-DDEBUG)

include (FindPerlMore)
set(CUSTOM_PERL_SITE_ARCH_DIR ${PERL_SITE_ARCH_DIR} CACHE DIR "Custom installation directory for perl binary extension")

add_subdirectory(qtcore)

macro_optional_add_bindings(QT_QTGUI_FOUND "QtGui" qtgui)
macro_optional_add_bindings(QT_QTTEST_FOUND "QtTest" qttest)
macro_optional_add_bindings(QT_QTXML_FOUND "QtXml" qtxml)
macro_optional_add_bindings(QT_QTNETWORK_FOUND "QtNetwork" qtnetwork)

macro_optional_add_bindings(KDE4_FOUND "KDECore" kdecore)
macro_optional_add_bindings(KDE4_FOUND "KDEUi" kdeui)
macro_optional_add_bindings(KDE4_FOUND "KIO" kio)
macro_optional_add_bindings(KDE4_FOUND "Plasma" plasma)

macro_display_bindings_log()

=== kdecore/CMakeLists.txt ===
add_subdirectory( src )
add_subdirectory( lib )

=== kdecore/src/CMakeLists.txt ===
include_directories(
    ${CMAKE_SOURCE_DIR}/smoke
    ${CMAKE_SOURCE_DIR}/perl/qtcore/src
    ${PERL_INCLUDE_PATH}
    ${KDE4_INCLUDE_DIR}
    ${QT_INCLUDES} )

# Run doxsubpp.pl to run xsubpp on KDECore4.xs
add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/KDECore4.c
                   COMMAND ${PERL_EXECUTABLE} ARGS ${CMAKE_SOURCE_DIR}/perl/qtcore/src/doxsubpp.pl ${PERL_EXECUTABLE} KDECore4.xs ${CMAKE_CURRENT_BINARY_DIR}/KDECore4.c
                   DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/KDECore4.xs
                   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)
# Make sure we build KDECore4.c as c++ code
set(CMAKE_C_COMPILER ${CMAKE_CXX_COMPILER})

set(CMAKE_C_FLAGS ${PERL_CXX_FLAGS})

set(kdecore4_LIBRARY_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/KDECore4.c
    kdecore4handlers.cpp
)

set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/perl/blib/arch/auto/KDECore4)
add_library(kdecore4 MODULE ${kdecore4_LIBRARY_SRC})

target_link_libraries(kdecore4
    ${QT_QTNETWORK_LIBRARY} 
    ${QT_QTSQL_LIBRARY} 
    ${QT_QTOPENGL_LIBRARY} 
    ${QT_QTXML_LIBRARY} 
    ${QT_QTSVG_LIBRARY} 
    ${KDE4_KDECORE_LIBS}
    smokekdecore
    perlqtcore4)

set_target_properties(kdecore4 PROPERTIES OUTPUT_NAME "KDECore4")
set_target_properties(kdecore4 PROPERTIES PREFIX "")

install(TARGETS kdecore4 DESTINATION ${CUSTOM_PERL_SITE_ARCH_DIR}/auto/KDECore4/)

=== kio/src/CMakeLists.txt ===
include_directories(
    ${CMAKE_SOURCE_DIR}/smoke
    ${CMAKE_SOURCE_DIR}/perl/qtcore/src
    ${PERL_INCLUDE_PATH}
    ${KDE4_INCLUDE_DIR}
    ${QT_INCLUDES} )

# Run doxsubpp.pl to run xsubpp on KIO4.xs
add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/KIO4.c
                   COMMAND ${PERL_EXECUTABLE} ARGS ${CMAKE_SOURCE_DIR}/perl/qtcore/src/doxsubpp.pl ${PERL_EXECUTABLE} KIO4.xs ${CMAKE_CURRENT_BINARY_DIR}/KIO4.c
                   DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/KIO4.xs
                   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)
# Make sure we build KIO4.c as c++ code
set(CMAKE_C_COMPILER ${CMAKE_CXX_COMPILER})

set(CMAKE_C_FLAGS ${PERL_CXX_FLAGS})

set(kio4_LIBRARY_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/KIO4.c
    kio4handlers.cpp
)

set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/perl/blib/arch/auto/KIO4)
add_library(kio4 MODULE ${kio4_LIBRARY_SRC})

target_link_libraries(kio4
    ${QT_QTNETWORK_LIBRARY} 
    ${QT_QTSQL_LIBRARY} 
    ${QT_QTOPENGL_LIBRARY} 
    ${QT_QTXML_LIBRARY} 
    ${QT_QTSVG_LIBRARY} 
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KIO_LIBS}
    smokekio
    perlqtcore4)

set_target_properties(kio4 PROPERTIES OUTPUT_NAME "KIO4")
set_target_properties(kio4 PROPERTIES PREFIX "")

install(TARGETS kio4 DESTINATION ${CUSTOM_PERL_SITE_ARCH_DIR}/auto/KIO4/)

=== plasma/src/CMakeLists.txt ===
include_directories(
    ${CMAKE_SOURCE_DIR}/smoke
    ${CMAKE_SOURCE_DIR}/perl/qtcore/src
    ${PERL_INCLUDE_PATH}
    ${KDE4_INCLUDE_DIR}
    ${QT_INCLUDES} )

# Run doxsubpp.pl to run xsubpp on Plasma4.xs
add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/Plasma4.c
                   COMMAND ${PERL_EXECUTABLE} ARGS ${CMAKE_SOURCE_DIR}/perl/qtcore/src/doxsubpp.pl ${PERL_EXECUTABLE} Plasma4.xs ${CMAKE_CURRENT_BINARY_DIR}/Plasma4.c
                   DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/Plasma4.xs
                   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)
# Make sure we build Plasma4.c as c++ code
set(CMAKE_C_COMPILER ${CMAKE_CXX_COMPILER})

set(CMAKE_C_FLAGS ${PERL_CXX_FLAGS})

set(plasma4_LIBRARY_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/Plasma4.c
    plasma4handlers.cpp
)

set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/perl/blib/arch/auto/Plasma4)
add_library(plasma4 MODULE ${plasma4_LIBRARY_SRC})

target_link_libraries(plasma4
    ${QT_QTNETWORK_LIBRARY} 
    ${QT_QTSQL_LIBRARY} 
    ${QT_QTOPENGL_LIBRARY} 
    ${QT_QTXML_LIBRARY} 
    ${QT_QTSVG_LIBRARY} 
    ${KDE4_PLASMA_LIBS}
    smokeplasma
    perlqtcore4)

set_target_properties(plasma4 PROPERTIES OUTPUT_NAME "Plasma4")
set_target_properties(plasma4 PROPERTIES PREFIX "")

install(TARGETS plasma4 DESTINATION ${CUSTOM_PERL_SITE_ARCH_DIR}/auto/Plasma4/)

=== qtcore/lib/CMakeLists.txt ===
add_subdirectory( QtCore4 )
add_custom_target(perlqtcore4pm ALL ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/QtCore4.pm ${CMAKE_BINARY_DIR}/perl/blib/lib/QtCore4.pm)
install( FILES QtCore4.pm DESTINATION ${CUSTOM_PERL_SITE_ARCH_DIR} )

=== debian/changelog ===
qt4-perl (4.5~~svn1145508-2) unstable; urgency=low

  * Fix qttest dependencies. Closes: 591564

 -- Sune Vuorela <sune@debian.org>  Wed, 04 Aug 2010 09:34:52 +0200

qt4-perl (4.5~~svn1145508-1) unstable; urgency=low

  * Initial release

 -- Sune Vuorela <sune@debian.org>  Wed, 07 Jul 2010 14:46:21 +0200

=== debian/control ===
Source: qt4-perl
Section: perl
Priority: optional
Maintainer: Sune Vuorela <sune@debian.org>
Build-Depends: debhelper (>= 7.0.50~), cdbs, cmake, libsmokeqt4-dev, libperl-dev, libqt4-dev
Standards-Version: 3.8.4

Package: libqtcore4-perl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Description: perl bindings for the Qt Core library
 This package contains perl bindings for the Qt Core library.
 . 
 It enables the use of Qt applications written in perl. For more details
 see the libqtcore4 package.

Package: libqtgui4-perl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libqtcore4-perl (= ${binary:Version})
Description: perl bindings for the Qt Gui library
 This package contains perl bindings for the Qt Gui library.
 . 
 It enables the use of Qt applications written in perl. For more details
 see the libqtgui4 package.

Package: libqtxml4-perl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libqtcore4-perl (= ${binary:Version})
Description: perl bindings for the Qt Xml library
 This package contains perl bindings for the Qt Xml library.
 . 
 It enables the use of Qt applications written in perl. For more details
 see the libqtgui4 package.

Package: libqtnetwork4-perl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libqtcore4-perl (= ${binary:Version})
Description: perl bindings for the Qt Network library
 This package contains perl bindings for the Qt Network library.
 . 
 It enables the use of Qt applications written in perl. For more details
 see the libqtgui4 package.

Package: libqttest4-perl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libqtcore4-perl (= ${binary:Version})
Description: perl bindings for the Qt Test library
 This package contains perl bindings for the Qt Test library.
 . 
 It enables the use of Qt applications written in perl. For more details
 see the libqt4-test package.

## qt4-perl 4.8.4

=== debian/changelog ===
qt4-perl (4.8.4-1) unstable; urgency=low

  * New upstream release
  * Removed some no-longer needed patches
  * Bump some build-dep version

 -- Sune Vuorela <sune@debian.org>  Wed, 20 Jun 2012 23:41:56 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: perl
 Priority: optional
 Maintainer: Sune Vuorela <sune@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), cdbs, cmake, libsmokeqt4-dev, libperl-dev, libqt4-dev
+Build-Depends: debhelper (>= 7.0.50~), cdbs, cmake, libsmokeqt4-dev (>> 4:4.8.4), libperl-dev, libqt4-dev (>> 4:4.8)
 Standards-Version: 3.8.4
 
 Package: libqtcore4-perl

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
DEB_CMAKE_EXTRA_FLAGS=-DCUSTOM_PERL_SITE_ARCH_DIR=$(shell perl -MConfig -e 'print $$Config{installvendorarch}')

## qt4-perl 4.10.2

=== debian/changelog ===
qt4-perl (4.10.2-1) experimental; urgency=low

  * New upstream release

 -- Sune Vuorela <sune@debian.org>  Sun, 07 Apr 2013 15:53:50 +0000
